Subject: Re: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jun 2023 16:17:21 +0300

> From: João Távora <[email-masked]>
> Cc: [email-masked],  [email-masked],
>  [email-masked]
> Date: Sat, 17 Jun 2023 13:19:18 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Emacs 29 comes with a completely different implementation of overlays
> > than previous versions.
> >
> > I don't think this is specific to macOS, but perhaps the order in
> > which overlays are arranged is arbitrary to some extent, in which case
> > different systems can have different orders.
> 
> I would find this "undefined order" strange, and perhaps a bug in
> itself.  Maybe whoever rewrote the overlay code (Stefan?) could chime
> in.

It wasn't Stefan, he just merged the branch to master and fixed bugs.

But why do you say this is a bug?  Does any documentation promise any
particular order of overlays?

> In any case, one defensive option is to push the patch I showed to Emacs
> 29.  Subject, of course, to testing on at least some machine where the
> problem does indeed happen.

Yes, let's wait for the confirmation that it fixes the problem.

Thanks.